plot.pca.loadings {bio3d} | R Documentation

## Plot Residue Loadings along PC1 to PC3

### Description

Plot residue loadings along PC1 to PC3 from a given xyz C-alpha matrix of `loadings`.

### Usage

    ## S3 method for class 'pca.loadings'
    plot(x, resnums = seq(1, (length(x[, 1])/3), 25), ...)

### Arguments

`x` | the results of principal component analysis obtained from `pca.xyz`, or just the loadings returned from `pca.xyz`.
`resnums` | a numeric vector of residue numbers.
`...` | extra plotting arguments.

### Value

Called for its effect.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`pca.xyz`, `plot.pca`

### Examples

    attach(transducin)

    pc.xray <- pca.xyz(pdbs$xyz[, gap.inspect(pdbs$xyz)$f.inds])
    plot.pca.loadings(pc.xray$U)

    detach(transducin)

[Package bio3d version 2.3-4 Index]